/** Estilos del proyecto de portafolio "Bienes Raices"

    Autor: Sergio Alfredo Gutierrez Escobar
    Alias: ZagEscobar
    correo: gsergioalfredo@yahoo.com

**/


/** Globales **/


html {
    box-sizing: border-box;
    font-size: 62.5%
}

*, *::before, *:after {
    box-sizing: inherit;
}

body {
    font-family: 'Lato', sans-serif;
    font-size: 1.6rem;
    line-height: 2;
}

h1 {
    font-size: 3.8rem;
}

h2 {
    font-size: 3.4rem;
}

h3 {
    font-size:  3rem;
}

h4 {
    font-size: 2.6rem;
}

img {
    max-width: 100%;
}

/** Utilidades **/
.seccion {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.fw-300 {
    font-weight: 300;
}

.centrar-texto {
    text-align: center;
}

.contenedor {
    width: 95%;
    max-width: 120rem;
    margin-left: auto;
    margin-right: auto;
}

.d-block{
    display: block!important;
}

.contenido-centrado {
    max-width: 80rem;
}

/** Botones **/
.boton {
    color: white;
    font-weight: 700;
    text-decoration: none;
    font-size: 1.8rem;
    padding: 1rem 3rem;
    margin-top: 3rem;
    display: inline-block;
    text-align: center;
    border: none;
    display: block;
    flex: 0, 0, 100%;
}
@media (min-width: 768px) {
    .boton{
        display: inline-block;
        flex: 0, 0, auto;
    }
    
}

.boton:hover {
    cursor: pointer;
}

.boton-amarillo{
 background-color: #e08709;
}

.boton-verde {
    background-color: #71b100;
}
/** Header **/
.site-header.inicio {
    background: url(../img/header.jpg);
    background-position: center center;
    background-size: cover;
    height: 100vh;
    min-height: 60rem;
}

.site-header {
    background-color: #333333;
    padding: 1rem 0rem 3rem 0rem;
}

.contenido-header {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
}
@media (min-width: 768px) {
    .contenido-header{
        text-align: left;
    }
    
}

.contenido-header h1 {
    color: white;
    padding-bottom: 2rem;
    max-width: 60rem;
}

.barra {
    padding-top: 3rem;
}

@media (min-width: 768px) {
    .barra{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

.navegacion a {
    color: white;
    text-decoration: none;
    font-size: 2.2rem;
    display: block;
}
@media (min-width: 768px) {
    .navegacion a{
        margin-right: 2rem;
        font-size: 1.8rem;
        display: inline-block;
    }

    .navegacion a:last-of-type {
        margin-right: 0px;
    }
}



/** Nosotros **/
@media (min-width: 768px) {
    .iconos-nosotros {
        display: flex;
        justify-content: space-between;
    }    
}


.icono {
    text-align: center;
}
@media (min-width: 768px) {
    .icono {
        flex-basis: calc(33.3% - 1rem);
        text-align: center;
    }   
}


.icono h3 {
    text-transform: uppercase;
}


/** Anuncios **/

@media (min-width: 768px) {
    .contenedor-anuncios {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }    
}

.anuncio {
    border: 1px solid #b5b5b5;
    background-color: #F5F5F5;
    margin-bottom: 2rem;
}
@media (min-width: 768px) {
    .anuncio{
        flex: 0 0 calc(33.3% - 1rem);
    }
}


.contenido-anuncio {
    padding: 2rem;
}

.contenido-anuncios h3,
.contenido-anuncio h3 {
    margin: 0;
}

.precio {
    color: #71b100;
    font-weight: 700;
}

.ver-todas {
    display: flex;
    justify-content: flex-end;
}

.imagen-contacto {
    background: url(../img/encuentra.jpg);
    background-position: center center;
    background-size: cover;
    height: 40rem;
    display: flex;
    align-items: center;

}

.contenido-contacto {
    flex: 0 0 95%;
    color: white;
}

.contenido-contacto p {
    font-size: 1.8rem;
}

.iconos-caracteristicas {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: space-evenly;
    max-width: 50rem;
    flex: 1;
}

.iconos-caracteristicas li {
    /*flex: 1;*/
    display: flex;
}

.iconos-caracteristicas li img {
    margin-right: 2rem;
}

/** Seccion Inferior **/

@media (min-width: 768px) {
    .seccion-inferior {
        display: flex;
        justify-content: space-between;
    }
    
    .seccion-inferior .blog {
        flex-basis: 60%;
    }
    
    .seccion-inferior .testimoniales {
        flex-basis: calc(40% - 2rem);
    }
}

.entrada-blog {
    margin-bottom: 2rem;
}

@media (min-width: 768px) {
    .entrada-blog{
        display: flex;
        justify-content: space-between;
    }
    
}

.entrada-blog:last-of-type {
    margin-bottom: 0;
}

.entrada-blog .imagen {
    flex-basis: 40%;
}

.entrada-blog .texto-entrada {
    flex-basis: calc(60% - 3rem);
}

.texto-entrada h4 {
    margin: 0;
    line-height: 1.2;
}

.texto-entrada a {
    color: black;
    text-decoration: none;
}

.texto-entrada h4::after{
    content: '';
    display: block;
    width: 15rem;
    height: 0.5rem;
    background-color: #71b100;
    margin-top: 1rem;
}

.texto-entrada span {
    color: #E08709;
}

/** Testimoniaoles **/

.testimonial {
    background-color:#71b100;
    font-size: 2.4rem;
    padding: 2rem;
    margin-bottom: 0.5rem;
    color: white;
    border-radius: 2rem;
}

.testimonial p {
    text-align: right;
}

.testimonial blockquote {
    position: relative;
    padding-left: 5rem;
    font-weight: 300;
}

.testimonial blockquote::before {
    content: "";
    background-image: url("../img/comilla.svg");
    width: 4rem;
    height: 4rem;
    position: absolute;
    left: -2rem;
    top: -0.5rem;
}

/** Footer **/

.site-footer {
    background-color: #333333;
    margin: 0;

}

.site-footer nav{
    display: none;
}
@media (min-width: 768px) {
    .site-footer nav{
        display: block;
    }
}

.contenedor-footer {
    padding: 3rem 0;
    text-align: center;
}
@media (min-width: 768px) {
    .contenedor-footer{
        display: flex;
    justify-content: space-between;
    }
}

.copyright {
    margin: 0;
    color: white;
}

/** Paginas Internas **/
@media (min-width: 768px) {
    .contenedor-nosotros {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 2rem;
    }    
}


.texto-nosotros blockquote {
    font-weight: 900;
    font-size: 2rem;
    margin: 0;
    padding: 1rem 0 3rem 0;
}

/** Anuncio **/

form p {
    font-size: 1.5rem;
    color: #4f4f4f;
    margin: 2rem 0 0 0;
}

legend {
    font-size: 2.4rem;
    color: #333333;
}

.resumen-propiedad {
    display: flex;
    justify-content: space-between;
}

label {
    display: block;
    font-weight: 700;
    text-transform: uppercase;
}

input:not([type="submit"]),
textarea,
select {
    padding: 1rem;
    display: block;
    width: 100%;
    background-color: #e1e1e1;
    margin-bottom: 2rem;
    border: none;
    border-radius: 1rem;
}

input[type="radio"] {
    width: auto;
    margin: 0;
}

select {
    -webkit-appearance: none;
    appearance: none;
}

textarea {
    height: 20rem;
}

.forma-contacto {
    max-width: 30rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/** Página de agradecimiento **/
.pagina-gracias {
    min-height: 45rem;
    display: flex;
    align-items: center;
}

.mensaje-gracias {
    width: 100%;
    max-width: 80rem;
    margin: 0 auto;
    padding: 5rem 3rem;
    background-color: #f5f5f5;
    border: 1px solid #b5b5b5;
}

.mensaje-gracias h1 {
    margin: 0 0 1rem;
}

.mensaje-gracias p {
    max-width: 55rem;
    margin: 0 auto;
}
